package com.zd.exam.mapper;

import com.zd.exam.domain.ElQuRepo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 试题题库(ElQuRepo)表数据库访问层
 *
 * @author liubo
 * @since 2021-08-30 17:10:49
 */
public interface ElQuRepoMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ElQuRepo queryById(Long id);

    /**
     * 查询指定行数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<ElQuRepo> queryAllByLimit(@Param("offset") int offset, @Param("limit") int limit);


    /**
     * 通过实体作为筛选条件查询
     *
     * @param elQuRepo 实例对象
     * @return 对象列表
     */
    List<ElQuRepo> queryAll(ElQuRepo elQuRepo);

    /**
     * 新增数据
     *
     * @param elQuRepo 实例对象
     * @return 影响行数
     */
    int insert(ElQuRepo elQuRepo);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<ElQuRepo> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<ElQuRepo> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<ElQuRepo> 实例对象列表
     * @return 影响行数
     */
    int insertOrUpdateBatch(@Param("entities") List<ElQuRepo> entities);

    /**
     * 修改数据
     *
     * @param elQuRepo 实例对象
     * @return 影响行数
     */
    int update(ElQuRepo elQuRepo);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Long id);

    int deleteByQuId(Long quId);

    int deleteByRepoId(Long repoId);
}

